Package org.gradle.play.plugins

## Class PlayDistributionPlugin

- java.lang.Object
- - org.gradle.model.RuleSource
  - - org.gradle.play.plugins.PlayDistributionPlugin

-     @Incubating
      @Deprecated
      public class PlayDistributionPlugin
      extends RuleSource

  Deprecated.
  A plugin that adds a distribution zip to a Play application build.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DIST_LIFECYCLE_TASK_NAME` | Deprecated.
    `static String` | `DISTRIBUTION_GROUP` | Deprecated.
    `static String` | `STAGE_LIFECYCLE_TASK_NAME` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayDistributionPlugin()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISTRIBUTION_GROUP

          public static final String DISTRIBUTION_GROUP

      Deprecated.
      See Also:
        Constant Field Values

    - #### DIST_LIFECYCLE_TASK_NAME

          public static final String DIST_LIFECYCLE_TASK_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### STAGE_LIFECYCLE_TASK_NAME

          public static final String STAGE_LIFECYCLE_TASK_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlayDistributionPlugin

          public PlayDistributionPlugin()

      Deprecated.